Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-51876

Update Core and Java version, remove deprecated code

    XMLWordPrintable

    Details

    • Similar Issues:
    • Released As:
      ssh-slaves-1.27

      Description

      this plugin still uses 1.625 core and Java 7, we will update it to 2.60.3 and Java 8, this means that we also have to stop to support backward compatibility, and start to remove deprecated code. It has 14 constructors most of then deprecated, this means that we are maintained death code since eons.

        Attachments

          Issue Links

            Activity

            There are no comments yet on this issue.

              People

              Assignee:
              ifernandezcalvo Ivan Fernandez Calvo
              Reporter:
              ifernandezcalvo Ivan Fernandez Calvo
              Votes:
              1 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: